package de.fernunihagen.rtt;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Test session annotation, used to bind annotated field to test client session
 * instance.
 * 
 * @author Osama El Hosami
 */
@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = { ElementType.FIELD })
public @interface TestSession {

}
