package de.fernunihagen.rtt.framework.util;

import org.contract4j5.contract.Contract;
import org.contract4j5.contract.Post;

/**
 * Property object interface.
 * 
 * @author Osama El Hosami
 * 
 * @param <S>
 *            Property subject type
 */
@Contract
public interface IPropertyObject<S> {
	/**
	 * Retrieves the property container holding configuration of property
	 * object.
	 * 
	 * @return Property container
	 */
	@Post("null != $return")
	IPropertyContainer<S> getProperties();
}
