package de.fernunihagen.rtt.ui.app;

import org.contract4j5.contract.Contract;

import org.eclipse.pde.ui.launcher.EclipseApplicationLaunchConfiguration;

import de.fernunihagen.rtt.ui.app.internal.RTTAppUIPlugin;

/**
 * An abstract launch delegate for RTT-based launch configurations.
 * 
 * @author Osama El Hosami
 */
@Contract
public abstract class AbstractRTTLaunchConfiguration extends
		EclipseApplicationLaunchConfiguration {

	/**
	 * Launch configuration attribute key. The value is a string specifying the
	 * hole test configuration as XML memento.
	 */
	public static final String DESCRIPTION = RTTAppUIPlugin.PLUGIN_ID
			+ ".description";
}
