package de.fernunihagen.rtt.framework.testadapter;

import org.contract4j5.contract.Contract;
import org.contract4j5.contract.Pre;

import de.fernunihagen.rtt.framework.ITestConfiguration;
import de.fernunihagen.rtt.framework.TestDescription;

/**
 * Refactoring test description.
 * 
 * @author Osama El Hosami
 */
@Contract
public final class RefactoringTestDescription extends TestDescription {
	/**
	 * Creates a refactoring test description.
	 * 
	 * @param configuration
	 *            Test configuration
	 */
	@Pre("null != configuration")
	public RefactoringTestDescription(final ITestConfiguration configuration) {
		super(configuration);
	}
}
