package de.fernunihagen.rtt.internal.testadapter;

import org.contract4j5.contract.Contract;
import org.eclipse.core.runtime.CoreException;

import de.fernunihagen.rtt.TestProcedureStep;

/**
 * Abstract run test procedure step.
 * 
 * @author Osama El Hosami
 */
@Contract
public abstract class RunTestProcedureStep extends TestProcedureStep {
	@Override
	public void accept(final ITestProcedureStepVisitor visitor) throws CoreException {
		visitor.visit(this);
	}
}
